Automation — API Reference

Run, pause, or stop automation workflows

23 endpoints across 4 tags.

Workflows

GET /automation-brain/diagrams — Get list of workflows/diagrams

/api-reference/automation#tag/Workflows/operation/getPaginatedDiagrams

Retrieve a paginated list of workflows.


API consumers: Synerise User, Workspace (Business Profile)

API key permission required: AUTOMATON_BRAIN_DIAGRAM_LIST_READ

User role permission required: automation_2_journeys: read

Parameters

NameInTypeRequiredDescription
pagequerynumberoptionalThe selected page
limitquerynumberoptionalNumber of items per page
statusqueryenum<"All", "Recent", "Draft", "Pending", …>optionalFilter workflows by status
sortqueryenum<"Author", "Name", "CreatedTime", "UpdatedTime", …>optionalSort workflows by a property value
sortByquerystringoptionalSort workflows clause
orderqueryenum<"Asc", "Desc">optionalSorting order
searchquerystringoptionalA string to search for in workflow names and email addresses of authors. Workflows that don't match the search aren't returned at all.
directoryIdquerystringoptionalUUID of the directory/catalogue/folder.
blockTypesquerystringoptionalComma-separated list of block type names (e.g. "Email,EventTrigger"). If provided, only workflows that contain a block of EVERY listed type are returned. The parameter may also be repeated.
triggersOnEventquerystringoptionalEvent name that triggers or filters the workflow. If provided, only workflows containing an EventTrigger or EventFilter block configured for this event are returned. Matched case-insensitively.
generatesEventquerystringoptionalEvent name generated by the workflow. If provided, only workflows containing a SendEvent block, or a Webhook block whose responseAction is set to this event, are returned. Matched case-insensitively.

Responses

StatusDescription
200 application/jsonA page of workflows
400 application/jsonBad request: input data missing or malformed
401 application/jsonUnauthorized: wrong consumer scope; token missing/expired/invalid; invalid API key; etc.
403 application/jsonForbidden; insufficient permissions
404 application/jsonResource not found

Example request (cURL)

curl --request GET \
  --url 'https://api.synerise.com/automation-brain/diagrams?page=SOME_NUMBER_VALUE&limit=SOME_NUMBER_VALUE&status=SOME_STRING_VALUE&sort=SOME_STRING_VALUE&sortBy=createdTime%3Adesc&order=SOME_STRING_VALUE&search=SOME_STRING_VALUE&directoryId=SOME_STRING_VALUE&blockTypes=SOME_STRING_VALUE&triggersOnEvent=SOME_STRING_VALUE&generatesEvent=SOME_STRING_VALUE' \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'

GET /automation-brain/v2/diagrams — Get list of workflows

/api-reference/automation#tag/Workflows/operation/getPaginatedDiagramsV2

Retrieve a paginated list of workflows.


API consumers: Synerise User, Workspace (Business Profile)

API key permission required: AUTOMATON_BRAIN_DIAGRAM_LIST_READ

User role permission required: automation_2_journeys: read

Parameters

NameInTypeRequiredDescription
pagequerynumberoptionalThe selected page
limitquerynumberoptionalNumber of items per page
statusqueryenum<"All", "Recent", "Draft", "Pending", …>optionalFilter workflows by status
sortqueryenum<"Author", "Name", "CreatedTime", "UpdatedTime", …>optionalSort workflows by a property value
sortByquerystringoptionalSort workflows clause
orderqueryenum<"Asc", "Desc">optionalSorting order
searchquerystringoptionalA string to search for in workflow names and email addresses of authors. Workflows that don't match the search aren't returned at all.
directoryIdquerystringoptionalUUID of the directory/catalogue/folder.
tagsquerystringoptional
blockTypesquerystringoptionalComma-separated list of block type names (e.g. "Email,EventTrigger"). If provided, only workflows that contain a block of EVERY listed type are returned. The parameter may also be repeated.
triggersOnEventquerystringoptionalEvent name that triggers or filters the workflow. If provided, only workflows containing an EventTrigger or EventFilter block configured for this event are returned. Matched case-insensitively.
generatesEventquerystringoptionalEvent name generated by the workflow. If provided, only workflows containing a SendEvent block, or a Webhook block whose responseAction is set to this event, are returned. Matched case-insensitively.

Responses

StatusDescription
200 application/jsonA page of workflows
400 application/jsonBad request: input data missing or malformed
401 application/jsonUnauthorized: wrong consumer scope; token missing/expired/invalid; invalid API key; etc.
403 application/jsonForbidden; insufficient permissions
404 application/jsonResource not found

Example request (cURL)

curl --request GET \
  --url 'https://api.synerise.com/automation-brain/v2/diagrams?page=SOME_NUMBER_VALUE&limit=SOME_NUMBER_VALUE&status=SOME_STRING_VALUE&sort=SOME_STRING_VALUE&sortBy=createdTime%3Adesc&order=SOME_STRING_VALUE&search=SOME_STRING_VALUE&directoryId=SOME_STRING_VALUE&tags=SOME_STRING_VALUE&blockTypes=SOME_STRING_VALUE&triggersOnEvent=SOME_STRING_VALUE&generatesEvent=SOME_STRING_VALUE' \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'

POST /automation-brain/diagrams/{diagramId}/run — Run/resume workflow

/api-reference/automation#tag/Workflows/operation/runAutomationDiagram

Run a or resume workflow.


API consumers: Synerise User, Workspace (Business Profile)

API key permission required: AUTOMATON_BRAIN_DIAGRAM_EXECUTE

User role permission required: automation_2_journeys: execute

Parameters

NameInTypeRequiredDescription
diagramIdpathstringrequiredUUID of the workflow/diagram

Request body

application/json · automation-brain-DiagramActionRequest

FieldTypeRequiredDescription
scheduleActionenum<"On", "Off", "NoAction">optional

Responses

StatusDescription
200 text/plainWorkflow run/resumed or was already running
400 application/jsonSee error message for details
401 application/jsonUnauthorized: wrong consumer scope; token missing/expired/invalid; invalid API key; etc.
403 application/jsonForbidden; insufficient permissions
404 application/jsonResource not found

Example request (cURL)

curl --request POST \
  --url https://api.synerise.com/automation-brain/diagrams/%7BdiagramId%7D/run \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
  --header 'content-type: application/json' \
  --data '{"scheduleAction":"On"}'

POST /automation-brain/diagrams/{diagramId}/pause — Pause workflow

/api-reference/automation#tag/Workflows/operation/pauseAutomationDiagram

Pause a workflow.


API consumers: Synerise User, Workspace (Business Profile)

API key permission required: AUTOMATON_BRAIN_DIAGRAM_EXECUTE

User role permission required: automation_2_journeys: execute

Parameters

NameInTypeRequiredDescription
diagramIdpathstringrequiredUUID of the workflow/diagram

Request body

application/json · automation-brain-DiagramActionRequest

FieldTypeRequiredDescription
scheduleActionenum<"On", "Off", "NoAction">optional

Responses

StatusDescription
200 text/plainDiagram paused or was already paused
400 application/jsonSee error message for details
401 application/jsonUnauthorized: wrong consumer scope; token missing/expired/invalid; invalid API key; etc.
403 application/jsonForbidden; insufficient permissions
404 application/jsonResource not found

Example request (cURL)

curl --request POST \
  --url https://api.synerise.com/automation-brain/diagrams/%7BdiagramId%7D/pause \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
  --header 'content-type: application/json' \
  --data '{"scheduleAction":"On"}'

POST /automation-brain/diagrams/{diagramId}/stop — Stop workflow

/api-reference/automation#tag/Workflows/operation/stopAutomationDiagram

Stop a workflow.

WARNING: A stopped workflow can't be restarted.


API consumers: Synerise User, Workspace (Business Profile)

API key permission required: AUTOMATON_BRAIN_DIAGRAM_EXECUTE

User role permission required: automation_2_journeys: execute

Parameters

NameInTypeRequiredDescription
diagramIdpathstringrequiredUUID of the workflow/diagram

Responses

StatusDescription
200 text/plainWorkflow stopped or was already stopped
400 application/jsonSee error message for details
401 application/jsonUnauthorized: wrong consumer scope; token missing/expired/invalid; invalid API key; etc.
403 application/jsonForbidden; insufficient permissions
404 application/jsonResource not found

Example request (cURL)

curl --request POST \
  --url https://api.synerise.com/automation-brain/diagrams/%7BdiagramId%7D/stop \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'

GET /automation-brain/diagrams/{diagramId}/statistics — Get workflow statistics with node details

/api-reference/automation#tag/Workflows/operation/getDiagramStatistics

Retrieve workflow execution statistics, including node statistics and metadata (name, type).


API consumers: Synerise User, Workspace (Business Profile)

API key permission required: AUTOMATION_STATS_READ

User role permission required: automation_2_journeys: read

Parameters

NameInTypeRequiredDescription
diagramIdpathstringrequiredUUID of the workflow/diagram
timePeriodqueryenum<"currentHour", "currentDay", "previousHour", "previousDay">optionalTime period for the statistics

Responses

StatusDescription
200 application/jsonDiagram statistics with node info
400 application/jsonSee error message for details
403 application/jsonForbidden; insufficient permissions
404Diagram not found

Example request (cURL)

curl --request GET \
  --url 'https://api.synerise.com/automation-brain/diagrams/%7BdiagramId%7D/statistics?timePeriod=SOME_STRING_VALUE' \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'

GET /automation-brain/diagrams/{diagramId}/blocks/{blockId}/statistics — Get node statistics

/api-reference/automation#tag/Workflows/operation/getBlockStatistics

Retrieve execution statistics for a single block enriched with block metadata (name, type).


API consumers: Synerise User, Workspace (Business Profile)

API key permission required: AUTOMATION_STATS_READ

User role permission required: automation_2_journeys: read

Parameters

NameInTypeRequiredDescription
diagramIdpathstringrequiredUUID of the workflow/diagram
blockIdpathstringrequiredUUID of the node
timePeriodqueryenum<"currentHour", "currentDay", "previousHour", "previousDay">optionalTime period for statistics

Responses

StatusDescription
200 application/jsonBlock statistics with block info
400 application/jsonSee error message for details
403 application/jsonForbidden; insufficient permissions
404Diagram or block not found

Example request (cURL)

curl --request GET \
  --url 'https://api.synerise.com/automation-brain/diagrams/%7BdiagramId%7D/blocks/%7BblockId%7D/statistics?timePeriod=SOME_STRING_VALUE' \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'

Workflow schedules

GET /automation-brain/diagrams/{diagramId}/schedule — Get workflow schedule

/api-reference/automation#tag/Workflow-schedules/operation/getDiagramSchedule

Get all schedule rules of a workflow.


API consumers: Synerise User, Workspace (Business Profile)

API key permission required: AUTOMATON_BRAIN_DIAGRAM_SCHEDULE_READ

User role permission required: automation_2_journeys: read

Parameters

NameInTypeRequiredDescription
diagramIdpathstringrequiredUUID of the workflow/diagram

Responses

StatusDescription
200 application/jsonSchedule rules
400 text/plainSee error message for details
401 application/jsonUnauthorized: wrong consumer scope; token missing/expired/invalid; invalid API key; etc.
403 application/jsonForbidden; insufficient permissions
404 application/jsonResource not found

Example request (cURL)

curl --request GET \
  --url https://api.synerise.com/automation-brain/diagrams/%7BdiagramId%7D/schedule \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'

POST /automation-brain/diagrams/{diagramId}/schedule — Set schedule rules for workflow

/api-reference/automation#tag/Workflow-schedules/operation/setDiagramSchedule

Set schedule rules for a workflow. This lets you activate, pause, or stop a workflow according to a plan.

After the schedule is set, it must be activated to take effect (see the POST /automation-brain/diagrams/{diagramId}/schedule-on method).

The backend doesn't validate the logic of the schedule. You must ensure it's well-built (rules make logical sense) and complies with the structure of the workflow (such as trigger node time rules). See "Workflow Scheduler > Important" in the Synerise Hub.

The contents of this request overwrite an existing schedule.


API consumers: Synerise User, Workspace (Business Profile)

API key permission required: AUTOMATON_BRAIN_DIAGRAM_SCHEDULE_UPDATE

User role permission required: automation_2_journeys: update

Parameters

NameInTypeRequiredDescription
diagramIdpathstringrequiredUUID of the workflow/diagram

Request body (required)

application/json · automation-brain-DiagramScheduleRequest

FieldTypeRequiredDescription
timezonestringrequiredTimezone of the schedule. Accepts these formats: "Europe/Paris" "-05:00" "UTC-1"
rulesarray<object>requiredRules of the schedule

Responses

StatusDescription
200 application/jsonSchedule saved
400 text/plainSee error message for details
401 application/jsonUnauthorized: wrong consumer scope; token missing/expired/invalid; invalid API key; etc.
403 application/jsonForbidden; insufficient permissions
404 application/jsonResource not found

Example request (cURL)

curl --request POST \
  --url https://api.synerise.com/automation-brain/diagrams/%7BdiagramId%7D/schedule \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
  --header 'content-type: application/json' \
  --data '{"timezone":"Europe/Paris","rules":[{"ruleId":"70af3071-65d9-4ec3-b3cb-5283e8d55dac","actionType":"Resume","repeatModel":{"repeatType":"Interval","body":{"start":"2020-01-01T01:00:00.000","intervalSeconds":6000}}}]}'

POST /automation-brain/diagrams/{diagramId}/schedule-on — Enable schedule for workflow

/api-reference/automation#tag/Workflow-schedules/operation/scheduleOnAutomationDiagram

Enable schedule for a workflow. The schedule must first be set with POST /automation-brain/diagrams/{diagramId}/schedule


API consumers: Synerise User, Workspace (Business Profile)

API key permission required: AUTOMATON_BRAIN_DIAGRAM_EXECUTE

User role permission required: automation_2_journeys: execute

Parameters

NameInTypeRequiredDescription
diagramIdpathstringrequiredUUID of the workflow/diagram

Responses

StatusDescription
200 text/plainWorkflow scheduled or was already scheduled
400 application/jsonSee error message for details
401 application/jsonUnauthorized: wrong consumer scope; token missing/expired/invalid; invalid API key; etc.
403 application/jsonForbidden; insufficient permissions
404 application/jsonResource not found

Example request (cURL)

curl --request POST \
  --url https://api.synerise.com/automation-brain/diagrams/%7BdiagramId%7D/schedule-on \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'

POST /automation-brain/diagrams/{diagramId}/schedule-off — Disable schedule for workflow

/api-reference/automation#tag/Workflow-schedules/operation/scheduleOffAutomationDiagram

Disable schedule for a workflow.


API consumers: Synerise User, Workspace (Business Profile)

API key permission required: AUTOMATON_BRAIN_DIAGRAM_EXECUTE

User role permission required: automation_2_journeys: execute

Parameters

NameInTypeRequiredDescription
diagramIdpathstringrequiredUUID of the workflow/diagram

Responses

StatusDescription
200 text/plainWorkflow unscheduled or was already unscheduled
400 application/jsonSee error message for details
401 application/jsonUnauthorized: wrong consumer scope; token missing/expired/invalid; invalid API key; etc.
403 application/jsonForbidden; insufficient permissions
404 application/jsonResource not found

Example request (cURL)

curl --request POST \
  --url https://api.synerise.com/automation-brain/diagrams/%7BdiagramId%7D/schedule-off \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'

GET /automation-brain/diagrams/{diagramId}/schedule-executed-events — Get schedule execution events

/api-reference/automation#tag/Workflow-schedules/operation/getDiagramScheduleExecutedEvents

Get events (rule executions) that were already processed for the workflow. You can limit the list to a time range defined by start and end.


API consumers: Synerise User, Workspace (Business Profile)

API key permission required: AUTOMATON_BRAIN_DIAGRAM_SCHEDULE_READ

User role permission required: automation_2_journeys: read

Parameters

NameInTypeRequiredDescription
diagramIdpathstringrequiredUUID of the workflow/diagram
startquerystringrequiredStart date
endquerystringoptionalEnd date

Responses

StatusDescription
200 application/jsonExecuted schedule events
400 application/jsonSee error message for details
403 application/jsonForbidden; insufficient permissions

Example request (cURL)

curl --request GET \
  --url 'https://api.synerise.com/automation-brain/diagrams/%7BdiagramId%7D/schedule-executed-events?start=SOME_STRING_VALUE&end=SOME_STRING_VALUE' \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'

GET /automation-brain/diagrams/{diagramId}/schedule-upcoming-events — Get upcoming schedule events

/api-reference/automation#tag/Workflow-schedules/operation/getDiagramSchedulePendingEvents

Get a list of upcoming events (rule executions) caused by a schedule. You can limit the list to a time range defined by start and end.


API consumers: Synerise User, Workspace (Business Profile)

API key permission required: AUTOMATON_BRAIN_DIAGRAM_SCHEDULE_READ

User role permission required: automation_2_journeys: read

Parameters

NameInTypeRequiredDescription
diagramIdpathstringrequiredUUID of the workflow/diagram
startquerystringoptionalStart date
endquerystringoptionalEnd date

Responses

StatusDescription
200 application/jsonUpcoming schedule events
400 application/jsonSee error message for details
403 application/jsonForbidden; insufficient permissions

Example request (cURL)

curl --request GET \
  --url 'https://api.synerise.com/automation-brain/diagrams/%7BdiagramId%7D/schedule-upcoming-events?start=SOME_STRING_VALUE&end=SOME_STRING_VALUE' \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'

GET /automation-brain/diagrams/{diagramId}/upcoming-status-changes — Get upcoming workflow status changes

/api-reference/automation#tag/Workflow-schedules/operation/getDiagramUpcomingStatusChanges

Get upcoming status changes for a workflow. You can limit the list to a time range defined by start and end.


API consumers: Synerise User, Workspace (Business Profile)

API key permission required: AUTOMATON_BRAIN_DIAGRAM_SCHEDULE_READ

User role permission required: automation_2_journeys: read

Parameters

NameInTypeRequiredDescription
diagramIdpathstringrequiredUUID of the workflow/diagram
initialStatusquerystringoptionalInitial status used if diagramId is not present (default: Pending)
startquerystringoptionalStart date
endquerystringoptionalEnd date

Responses

StatusDescription
200 application/jsonUpcoming status changes
400 application/jsonSee error message for details
403 application/jsonForbidden; insufficient permissions

Example request (cURL)

curl --request GET \
  --url 'https://api.synerise.com/automation-brain/diagrams/%7BdiagramId%7D/upcoming-status-changes?initialStatus=SOME_STRING_VALUE&start=SOME_STRING_VALUE&end=SOME_STRING_VALUE' \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'

Control Center

GET /automation-brain/dashboard/diagrams/count-by-trigger-type — Count workflows by trigger type

/api-reference/automation#tag/Control-Center/operation/countDiagramsByTriggerType

Returns the count of active workflows grouped by trigger node type for the current workspace.


API consumers: Synerise User, Workspace (Business Profile)

API key permission required: AUTOMATON_BRAIN_DIAGRAM_LIST_READ

User role permission required: automation_2_journeys: read

Responses

StatusDescription
200 application/jsonWorkflow counts by trigger type
400 application/jsonSee error message for details
401 application/jsonUnauthorized: wrong consumer scope; token missing/expired/invalid; invalid API key; etc.
403 application/jsonForbidden; insufficient permissions

Example request (cURL)

curl --request GET \
  --url https://api.synerise.com/automation-brain/dashboard/diagrams/count-by-trigger-type \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'

GET /automation-brain/dashboard/diagrams/count-by-status — Count workflows by status

/api-reference/automation#tag/Control-Center/operation/countDiagramsByStatus

Returns the count of workflows grouped by status for the current workspace.


API consumers: Synerise User, Workspace (Business Profile)

API key permission required: AUTOMATON_BRAIN_DIAGRAM_LIST_READ

User role permission required: automation_2_journeys: read

Responses

StatusDescription
200 application/jsonWorkflow counts by status
400 application/jsonSee error message for details
401 application/jsonUnauthorized: wrong consumer scope; token missing/expired/invalid; invalid API key; etc.
403 application/jsonForbidden; insufficient permissions

Example request (cURL)

curl --request GET \
  --url https://api.synerise.com/automation-brain/dashboard/diagrams/count-by-status \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'

GET /automation-brain/dashboard/diagrams/most-used — Get most used workflows

/api-reference/automation#tag/Control-Center/operation/getMostUsedDiagrams

Returns a paginated list of workflows ordered by the number of data points (events) generated by those workflows.


API consumers: Synerise User, Workspace (Business Profile)

API key permission required: AUTOMATON_BRAIN_DIAGRAM_LIST_READ

User role permission required: automation_2_journeys: read

Parameters

NameInTypeRequiredDescription
pagequerynumberoptionalThe selected page
limitquerynumberoptionalNumber of items per page

Responses

StatusDescription
200 application/jsonA page of most used workflows
400 application/jsonSee error message for details
401 application/jsonUnauthorized: wrong consumer scope; token missing/expired/invalid; invalid API key; etc.
403 application/jsonForbidden; insufficient permissions

Example request (cURL)

curl --request GET \
  --url 'https://api.synerise.com/automation-brain/dashboard/diagrams/most-used?page=SOME_NUMBER_VALUE&limit=SOME_NUMBER_VALUE' \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'

GET /automation-brain/dashboard/diagrams/most-triggered — Get most triggered workflows

/api-reference/automation#tag/Control-Center/operation/getMostTriggeredDiagrams

Returns a paginated list of workflows ordered by the number of triggered paths.


API consumers: Synerise User, Workspace (Business Profile)

API key permission required: AUTOMATON_BRAIN_DIAGRAM_LIST_READ

User role permission required: automation_2_journeys: read

Parameters

NameInTypeRequiredDescription
pagequerynumberoptionalThe selected page
limitquerynumberoptionalNumber of items per page

Responses

StatusDescription
200 application/jsonA page of most triggered workflows
400 application/jsonSee error message for details
401 application/jsonUnauthorized: wrong consumer scope; token missing/expired/invalid; invalid API key; etc.
403 application/jsonForbidden; insufficient permissions

Example request (cURL)

curl --request GET \
  --url 'https://api.synerise.com/automation-brain/dashboard/diagrams/most-triggered?page=SOME_NUMBER_VALUE&limit=SOME_NUMBER_VALUE' \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'

GET /automation-brain/dashboard/diagrams/in-progress — Get workflows with paths in progress

/api-reference/automation#tag/Control-Center/operation/getInProgressDiagrams

Returns a paginated list of workflows ordered by the number of paths currently in progress.


API consumers: Synerise User, Workspace (Business Profile)

API key permission required: AUTOMATON_BRAIN_DIAGRAM_LIST_READ

User role permission required: automation_2_journeys: read

Parameters

NameInTypeRequiredDescription
pagequerynumberoptionalThe selected page
limitquerynumberoptionalNumber of items per page

Responses

StatusDescription
200 application/jsonA page of workflows with paths in progress
400 application/jsonSee error message for details
401 application/jsonUnauthorized: wrong consumer scope; token missing/expired/invalid; invalid API key; etc.
403 application/jsonForbidden; insufficient permissions

Example request (cURL)

curl --request GET \
  --url 'https://api.synerise.com/automation-brain/dashboard/diagrams/in-progress?page=SOME_NUMBER_VALUE&limit=SOME_NUMBER_VALUE' \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'

GET /automation-brain/dashboard/upcoming-status-changes — Get upcoming status changes

/api-reference/automation#tag/Control-Center/operation/getUpcomingStatusChanges

Returns a paginated list of upcoming workflow status changes (resumes, pauses, and stops).


API consumers: Synerise User, Workspace (Business Profile)

API key permission required: AUTOMATON_BRAIN_DIAGRAM_LIST_READ

User role permission required: automation_2_journeys: read

Parameters

NameInTypeRequiredDescription
pagequerynumberoptionalThe selected page
limitquerynumberoptionalNumber of items per page

Responses

StatusDescription
200 application/jsonA page of upcoming status changes
400 application/jsonSee error message for details
401 application/jsonUnauthorized: wrong consumer scope; token missing/expired/invalid; invalid API key; etc.
403 application/jsonForbidden; insufficient permissions

Example request (cURL)

curl --request GET \
  --url 'https://api.synerise.com/automation-brain/dashboard/upcoming-status-changes?page=SOME_NUMBER_VALUE&limit=SOME_NUMBER_VALUE' \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'

GET /automation-brain/dashboard/upcoming-triggers — Get upcoming trigger events

/api-reference/automation#tag/Control-Center/operation/getUpcomingTriggers

Returns a paginated list of upcoming trigger events for workflows with active scheduled triggers.


API consumers: Synerise User, Workspace (Business Profile)

API key permission required: AUTOMATON_BRAIN_DIAGRAM_LIST_READ

User role permission required: automation_2_journeys: read

Parameters

NameInTypeRequiredDescription
pagequerynumberoptionalThe selected page
limitquerynumberoptionalNumber of items per page

Responses

StatusDescription
200 application/jsonA page of upcoming trigger events
400 application/jsonSee error message for details
401 application/jsonUnauthorized: wrong consumer scope; token missing/expired/invalid; invalid API key; etc.
403 application/jsonForbidden; insufficient permissions

Example request (cURL)

curl --request GET \
  --url 'https://api.synerise.com/automation-brain/dashboard/upcoming-triggers?page=SOME_NUMBER_VALUE&limit=SOME_NUMBER_VALUE' \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'

GET /automation-brain/dashboard/diagrams/with-issues — Get workflows with issues

/api-reference/automation#tag/Control-Center/operation/getDiagramsWithIssues

Returns a paginated list of workflows that have encountered failures, ordered by failure count.


API consumers: Synerise User, Workspace (Business Profile)

API key permission required: AUTOMATON_BRAIN_DIAGRAM_LIST_READ

User role permission required: automation_2_journeys: read

Parameters

NameInTypeRequiredDescription
timePeriodqueryenum<"24h", "7d">optionalTime period for statistics
contextqueryenum<"Client", "Business", "Undefined">optionalAutomationContext for which workflows should be returned
pagequerynumberoptionalThe selected page
limitquerynumberoptionalNumber of items per page

Responses

StatusDescription
200 application/jsonA page of workflows with issues
400 application/jsonSee error message for details
401 application/jsonUnauthorized: wrong consumer scope; token missing/expired/invalid; invalid API key; etc.
403 application/jsonForbidden; insufficient permissions

Example request (cURL)

curl --request GET \
  --url 'https://api.synerise.com/automation-brain/dashboard/diagrams/with-issues?timePeriod=SOME_STRING_VALUE&context=SOME_STRING_VALUE&page=SOME_NUMBER_VALUE&limit=SOME_NUMBER_VALUE' \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'

Data Processing Job Logs

GET /morph/logs/automation/{automationWorkflowId}/last-run/with-stages — Get last log with stages

/api-reference/automation#tag/Data-Processing-Job-Logs/operation/getExtendedInfoAboutLastRun

Retrieve the status of a workflow's last run and its stages.

The workflow must contain at least one of the following nodes:

  • Any Data Transformation node
  • Any node that pulls data into a workflow (for example local file, SFTP, Azure Blob Storage)
  • Any node that pushes data out of the workflow (for example SFTP, Pub/Sub)
  • Any node that imports data into Synerise

API consumers: Synerise User, Workspace (Business Profile)

API key permission required: MORPH_JOBS_READ

User role permission required: automation_2_journeys: read

Parameters

NameInTypeRequiredDescription
automationWorkflowIdpathstringrequireddiagramId of the workflow to fetch last job from
limitquerynumberoptionalThe maximum number of log lines in each stage

Responses

StatusDescription
200 application/jsonInformation about last data transformation journey status
401 application/jsonUnauthorized: wrong consumer scope; token missing/expired/invalid; invalid API key; etc.
403 application/jsonForbidden; insufficient permissions
404 application/json workflow doesn't exist; no journeys exist for a workflow; workflow doesn't contain any of the required nodes (returns a "no journeys found" error)

Example request (cURL)

curl --request GET \
  --url 'https://api.synerise.com/morph/logs/automation/%7BautomationWorkflowId%7D/last-run/with-stages?limit=SOME_NUMBER_VALUE' \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'

Back to all API categories